Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface JMSControl

All Superinterfaces:
  Control, Serializable, XMLControl

All Known Subinterfaces:
  JMSControl, WliJMSControl

    public interface JMSControl

extends XMLControl

Simplifies access to the Java Message Service. Use this control to send and receive JMS messages. Incoming messages are delivered asynchronously through callbacks.
By default, JMS controls you add to your application will provide an interface that includes built-in and customizable members. You use the customizable members to send or publish messages, and to receive messages through callback handlers.
For more information about using the EJB control, see JMS Control.

Nested Class Summary
`static class` | `JMSControl.DeliveryMode`
`static interface` | `JMSControl.JMS`
`static interface` | `JMSControl.JMSCallBackHeaders`
`static interface` | `JMSControl.JmsSend`
`static interface` | `JMSControl.JMSSendHeaders`
`static interface` | `JMSControl.Properties` The method parameter representing one or more properties.
`static interface` | `JMSControl.PropertyValue`
`static interface` | `JMSControl.TransactionSetting`
`static class` | `JMSControl.Type`

Nested classes/interfaces inherited from interface com.bea.control.Control
`Control.Callback`

Field Summary
`static String` | `HEADER_CORRELATIONID` /** Indicates the JMSCorrelationID message header.
`static String` | `HEADER_DELIVERYMODE` Indicates the JMSDeliveryMode message header.
`static String` | `HEADER_EXPIRATION` Indicates the JMSExpiration message header.
`static String` | `HEADER_MESSAGEID` Indicates the JMSMessageID message header.
`static String` | `HEADER_PRIORITY` Indicates the JMSPriority message header.
`static String` | `HEADER_REDELIVERED` Indicates the JMSRedelivered message header.
`static String` | `HEADER_TIMESTAMP` Indicates the JMSTimestamp message header.
`static String` | `HEADER_TYPE` Indicates the JMSType message header.

Method Summary
`Map` | `getHeaders()` Gets the JMS headers of the last message received.
`Map` | `getProperties()` Gets the JMS properties of the last message received.
`javax.jms.Session` | `getSession()` Returns the JMS session used by `this` control.
`void` | `setHeaders(Map headers)` Sets the JMS headers to be assigned to the next JMS message sent.
`void` | `setProperties(Map properties)` Sets the JMS properties to be assigned to the next JMS message sent.
`void` | `subscribe()` Indicates that this control is now interested in receiving incoming messages published to the topic.
`void` | `unsubscribe()` Indicates that this control is no longer interested in receiving incoming messages published to the topic.

Field Detail

### HEADER_CORRELATIONID

    static final String HEADER_CORRELATIONID

  /** Indicates the JMSCorrelationID message header. Use with the getHeaders and setHeaders methods.

  See Also:
    `getHeaders()`, `setHeaders(Map)`, Constant Field Values

### HEADER_DELIVERYMODE

    static final String HEADER_DELIVERYMODE

  Indicates the JMSDeliveryMode message header. Use with the getHeaders and setHeaders methods.

  See Also:
    `getHeaders()`, `setHeaders(Map)`, Constant Field Values

### HEADER_EXPIRATION

    static final String HEADER_EXPIRATION

  Indicates the JMSExpiration message header. Use with the getHeaders and setHeaders methods.

  See Also:
    `getHeaders()`, `setHeaders(Map)`, Constant Field Values

### HEADER_MESSAGEID

    static final String HEADER_MESSAGEID

  Indicates the JMSMessageID message header. Use with the getHeaders and setHeaders methods.

  See Also:
    `getHeaders()`, `setHeaders(Map)`, Constant Field Values

### HEADER_PRIORITY

    static final String HEADER_PRIORITY

  Indicates the JMSPriority message header. Use with the getHeaders and setHeaders methods.

  See Also:
    `getHeaders()`, `setHeaders(Map)`, Constant Field Values

### HEADER_REDELIVERED

    static final String HEADER_REDELIVERED

  Indicates the JMSRedelivered message header. Use with the getHeaders and setHeaders methods.

  See Also:
    `getHeaders()`, `setHeaders(Map)`, Constant Field Values

### HEADER_TIMESTAMP

    static final String HEADER_TIMESTAMP

  Indicates the JMSTimestamp message header. Use with the getHeaders and setHeaders methods.

  See Also:
    `getHeaders()`, `setHeaders(Map)`, Constant Field Values

### HEADER_TYPE

    static final String HEADER_TYPE

  Indicates the JMSType message header. Use with the getHeaders and setHeaders methods.

  See Also:
    `getHeaders()`, `setHeaders(Map)`, Constant Field Values

Method Detail

### getSession

    javax.jms.Session getSession()

  Returns the JMS session used by `this` control.

  Returns:
    The session object.

### subscribe

    void subscribe()

  Indicates that this control is now interested in receiving incoming messages published to the topic. Note that when the control is first created it will not receive messages on the topic until it is explicitly requested so.
  Also note that this method applies only to controls which listen to topics. Invoking this method on a control that does not listen on a topic has no effect.

### unsubscribe

    void unsubscribe()

  Indicates that this control is no longer interested in receiving incoming messages published to the topic. This method cancels a subscription previously registered by `subscribe()`.
  Note that this method applies only to controls which listen to topics. Invoking this method on a control that does not listen on a topic has no effect.

### getProperties

    Map getProperties()

  Gets the JMS properties of the last message received. If no message has been received then `null` is returned. The return value maps property names (Strings) to property values.

  Returns:
    The properties of the last message received; `null` if no message has been received.

### getHeaders

    Map getHeaders()

  Gets the JMS headers of the last message received. If no message has been received then `null` is returned. The return value maps header names (Strings) to header values.

  Returns:
    The headers of the last message received; `null` if no message has been received.

### setProperties

    void setProperties(Map properties)

  Sets the JMS properties to be assigned to the next JMS message sent. Note that these properties are set only on the next message, subsequent messages will not get these properties. Also note that if the next message is sent through a publish method, then any property set through this map will override properties set in the message itself.

  Parameters:
    `properties` - A map of property names (Strings) to property values.

### setHeaders

    void setHeaders(Map headers)

  Sets the JMS headers to be assigned to the next JMS message sent. Note that these headers are set only on the next message, subsequent messages will not get these headers. Also note that if the next message is sent through a publish method, then any header set through this map will override headers set in the message itself.

  Parameters:
    `headers` - A map of header names (Strings) to header values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD